import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Title  extends Actor
{
    private GreenfootImage back = new GreenfootImage("back.png"); 
    private GreenfootImage how = new GreenfootImage("how.png"); 
    private GreenfootImage play = new GreenfootImage("play.png"); 
    private GreenfootImage name = new GreenfootImage("name.png");
    private GreenfootImage instructions = new GreenfootImage("instructions.png");
    private GreenfootImage winner = new GreenfootImage("winner.png");
    
    public Title(String x)
    {
        if(x == "how") setImage(how);
        if(x == "play") setImage(play);
        if(x == "name") setImage(name);
        if(x == "instructions") setImage(instructions);
        if(x == "back") setImage(back);
        if(x == "winner") setImage(winner);
    }
    
    public void act() 
    {
        if(getImage() == play){
            if(canSee(Player.class)) ((Gravix)getWorld()).addLevel();
        }
        else if(getImage() == how){
            if(canSee(Player.class)) ((Gravix)getWorld()).Instructions();
        }
        else if(getImage() == back){
            if(canSee(Player.class)) ((Gravix)getWorld()).levelZero();
        }
        else if(getImage() == winner){
            if(Greenfoot.isKeyDown("enter")) ((Gravix)getWorld()).levelZero();
        }
    }    
    
    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }
}
