import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Laser  extends Shooter
{
    private int time = 0;
    private int type;
    private GreenfootImage laser1 = new GreenfootImage("laser1.png"); 
    private GreenfootImage laser2 = new GreenfootImage("laser2.png"); 
    private GreenfootImage laser3 = new GreenfootImage("laser3.png"); 

    public Laser(int t)
    {
        setRotation(t);
        setImage(laser1);
    }
    
    public void act() 
    {
        if(getRotation() == 0) setRotation(180);
        else if(getRotation() == 180) setRotation(0);
        else if(getRotation() == 90) setRotation(270);
        else if(getRotation() == 270) setRotation(90);
        
        if(getImage() == laser1){
                setImage(laser2);
        }
        else if(getImage() == laser2){
                setImage(laser3);
        }
        else if(getImage() == laser3){
                setImage(laser1);
        }
        
        time++;
        if(time == 50) getWorld().removeObject(this);
    }    
}
